Mailinglist Archive: zypp-commit (301 mails)

< Previous Next >
[zypp-commit] r7510 - in /trunk/sat-solver/testsuite: ./ data.libzypp/basic-exercises/ data.libzypp/yast-tests/
  • From: coolo@xxxxxxxxxxxxxxxx
  • Date: Fri, 12 Oct 2007 18:54:06 -0000
  • Message-id: <20071012185407.0718C45579@xxxxxxxxxxxxxxxx>
Author: coolo
Date: Fri Oct 12 20:54:06 2007
New Revision: 7510

URL: http://svn.opensuse.org/viewcvs/zypp?rev=7510&view=rev
Log:
printing out the failed test as a diff - and patching
solutions to make it easier to see the diff

Added:
    trunk/sat-solver/testsuite/diffres   (with props)
Modified:
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-32-test.solution
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-34-test.solution
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-43-test.solution
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-48-test.solution
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-05reallive-4-test.solution
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-alternatives-3-force-test.solution
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/tpctl-multi-test.solution
    trunk/sat-solver/testsuite/runtest.rb

Modified: trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-32-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-32-test.solution?rev=7510&r1=7509&r2=7510&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-32-test.solution (original)
+++ trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-32-test.solution Fri Oct 12 20:54:06 2007
@@ -44,86 +44,86 @@
 >!> Installing pango from channel gnome2
 >!> Installing sawfish2 from channel gnome2
 >!> Solution #1:
->!> upgrade GConf2-1.1.8.0.200202140152-snap.ximian.1 => GConf2-1.1.8.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade GConf2-devel-1.1.8.0.200202140152-snap.ximian.1 => GConf2-devel-1.1.8.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade ORBit2-2.3.105.0.200202140152-snap.ximian.1 => ORBit2-2.3.105.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade ORBit2-devel-2.3.105.0.200202140152-snap.ximian.1 => ORBit2-devel-2.3.105.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade atk-0.12.0.200202140152-snap.ximian.1 => atk-0.13.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade atk-devel-0.12.0.200202140152-snap.ximian.1 => atk-devel-0.13.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade audiofile-1:0.2.3.0.200202140152-snap.ximian. => audiofile-1:0.2.3.0.200202240433-snap.ximian.[gnome2]
->!> upgrade audiofile-devel-1:0.2.3.0.200202140152-snap.ximian. => audiofile-devel-1:0.2.3.0.200202240433-snap.ximian.[gnome2]
->!> upgrade bonobo-activation-0.9.3.0.200202140152-snap.ximian.1 => bonobo-activation-0.9.4.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade bonobo-activation-devel-0.9.3.0.200202140152-snap.ximian.1 => bonobo-activation-devel-0.9.4.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade bug-buddy2-1:2.1.3.0.200202140152-snap.ximian.1 => bug-buddy2-1:2.1.3.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade control-center2-1:1.99.3.0.200202140152-snap.ximian.1 => control-center2-1:1.99.3.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade eel2-1.1.4.0.200202140152-snap.ximian.1 => eel2-1.1.5.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade eog2-1:0.111.0.0.200202140152-snap.ximian.1 => eog2-1:0.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade esound-1:0.2.23.0.200202140152-snap.ximian.1 => esound-1:0.2.23.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade esound-devel-1:0.2.23.0.200202140152-snap.ximian.1 => esound-devel-1:0.2.23.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gail-0.8.0.200202140152-snap.ximian.1 => gail-0.8.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gconf-editor-0.1.0.200202140152-snap.ximian.1 => gconf-editor-0.1.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gdm2-1:2.3.90.1.0.200202140152-snap.ximian.1 => gdm2-1:2.3.90.1.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gedit2-1:1.112.0.0.200202140152-snap.ximian.1 => gedit2-1:1.113.0cvs.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade glade2-1.1.0.0.200202140152-snap.ximian.1 => glade2-1.1.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade glib2-1.3.13.0.200202140152-snap.ximian.1 => glib2-1.3.15.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade glib2-devel-1.3.13.0.200202140152-snap.ximian.1 => glib2-devel-1.3.15.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-applets2-1:1.92.2.0.200202140152-snap.ximian.1 => gnome-applets2-1:1.93.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-desktop-1.5.9.0.200202140152-snap.ximian.1 => gnome-desktop-1.5.10.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-desktop-libs-1.5.9.0.200202140152-snap.ximian.1 => gnome-desktop-libs-1.5.10.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-games2-1:1.90.1.0.200202140152-snap.ximian.1 => gnome-games2-1:1.90.1.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-media2-1.112.0.0.200202140152-snap.ximian.1 => gnome-media2-1.176.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-panel-1.5.9.0.200202140152-snap.ximian.1 => gnome-panel-1.5.10.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-panel-libs-1.5.9.0.200202140152-snap.ximian.1 => gnome-panel-libs-1.5.10.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-session-1.5.9.0.200202140152-snap.ximian.1 => gnome-session-1.5.10.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-system-monitor-1.1.4.0.200202140152-snap.ximian.1 => gnome-system-monitor-1.1.4.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-terminal-1.9.0.0.200202151246-snap.ximian.1 => gnome-terminal-1.9.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-utils2-1:1.99.1.0.200202140152-snap.ximian.1 => gnome-utils2-1:1.99.2.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-vfs2-1.9.7.0.200202140152-snap.ximian.1 => gnome-vfs2-1.9.7.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gnome-vfs2-devel-1.9.7.0.200202140152-snap.ximian.1 => gnome-vfs2-devel-1.9.7.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gtk2-1.3.13.0.200202140152-snap.ximian.1 => gtk2-1.3.14.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade gtk2-devel-1.3.13.0.200202140152-snap.ximian.1 => gtk2-devel-1.3.14.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libIDL-0.7.4.0.200202140152-snap.ximian.1 => libIDL-0.7.4.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libIDL-devel-0.7.4.0.200202140152-snap.ximian.1 => libIDL-devel-0.7.4.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libart_lgpl-2.3.8.0.200202140152-snap.ximian.1 => libart_lgpl-2.3.8.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libart_lgpl-devel-2.3.8.0.200202140152-snap.ximian.1 => libart_lgpl-devel-2.3.8.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libbonobo-1.111.0.0.200202140152-snap.ximian.1 => libbonobo-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libbonobo-devel-1.111.0.0.200202140152-snap.ximian.1 => libbonobo-devel-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libbonoboui-1.111.0.0.200202140152-snap.ximian.1 => libbonoboui-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libbonoboui-devel-1.111.0.0.200202140152-snap.ximian.1 => libbonoboui-devel-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libglade2-1.99.7.0.200202140152-snap.ximian.1 => libglade2-1.99.7.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libglade2-devel-1.99.7.0.200202140152-snap.ximian.1 => libglade2-devel-1.99.7.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnome-1.111.0.0.200202140152-snap.ximian.2 => libgnome-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnome-devel-1.111.0.0.200202140152-snap.ximian.2 => libgnome-devel-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnomecanvas-1.111.0.0.200202140152-snap.ximian.1 => libgnomecanvas-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnomecanvas-devel-1.111.0.0.200202140152-snap.ximian.1 => libgnomecanvas-devel-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnomeprint-1.111.0.0.200202140152-snap.ximian.1 => libgnomeprint-1.111.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnomeprint-devel-1.111.0.0.200202140152-snap.ximian.1 => libgnomeprint-devel-1.111.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnomeprintui-1.110.0.0.200202140152-snap.ximian.1 => libgnomeprintui-1.110.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnomeprintui-devel-1.110.0.0.200202140152-snap.ximian.1 => libgnomeprintui-devel-1.110.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnomeui-1.111.1.0.200202140152-snap.ximian.1 => libgnomeui-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgnomeui-devel-1.111.1.0.200202140152-snap.ximian.1 => libgnomeui-devel-1.112.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgtkhtml-1.99.2.0.200202140152-snap.ximian.1 => libgtkhtml-1.99.2.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libgtop2-1.90.2.0.200202140152-snap.ximian.1 => libgtop2-1.90.2.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade librsvg2-1.1.3.0.200202140152-snap.ximian.1 => librsvg2-1.1.3.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libtool-1.4-8 => libtool-1.4-8.ximian.1[gnome2]
->!> upgrade libtool-libs-1.4-8 => libtool-libs-1.4-8.ximian.1[gnome2]
->!> upgrade libwnck-0.3.0.200202140152-snap.ximian.1 => libwnck-0.5.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libwnck-devel-0.3.0.200202140152-snap.ximian.1 => libwnck-devel-0.5.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libxml2-2.4.15.0.200202140152-snap.ximian.1 => libxml2-2.4.16.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libxml2-devel-2.4.15.0.200202140152-snap.ximian.1 => libxml2-devel-2.4.16.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libxslt-1.0.12.0.200202140152-snap.ximian.1 => libxslt-1.0.12.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libxslt-devel-1.0.12.0.200202140152-snap.ximian.1 => libxslt-devel-1.0.12.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libzvt-1.111.0.0.200202140152-snap.ximian.1 => libzvt-1.111.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade libzvt-devel-1.111.0.0.200202140152-snap.ximian.1 => libzvt-devel-1.111.0.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade linc-0.1.18.0.200202140152-snap.ximian.1 => linc-0.1.18.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade linc-devel-0.1.18.0.200202140152-snap.ximian.1 => linc-devel-0.1.18.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade nautilus-gtkhtml-0.3.0.200202140152-snap.ximian.1 => nautilus-gtkhtml-0.3.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade nautilus2-1.1.5.0.200202140152-snap.ximian.1 => nautilus2-1.1.5.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade pango-0.24.0.200202140152-snap.ximian.1 => pango-0.26.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade pango-devel-0.24.0.200202140152-snap.ximian.1 => pango-devel-0.26.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade rep-gtk2-1:0.16.pre1.0.200202140152-snap.ximian.1 => rep-gtk2-1:0.16.pre1.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade sawfish2-1:2.0.pre1.0.200202140152-snap.ximian.1 => sawfish2-1:2.0.pre1.0.200202240433-snap.ximian.1[gnome2]
->!> upgrade yelp-0.2.99.0.200202140152-snap.ximian.1 => yelp-0.2.99.0.200202240433-snap.ximian.1[gnome2]
+>!> upgrade GConf2-1.1.8.0.200202140152-snap.ximian.1.noarch => GConf2-1.1.8.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade GConf2-devel-1.1.8.0.200202140152-snap.ximian.1.noarch => GConf2-devel-1.1.8.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade ORBit2-2.3.105.0.200202140152-snap.ximian.1.noarch => ORBit2-2.3.105.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade ORBit2-devel-2.3.105.0.200202140152-snap.ximian.1.noarch => ORBit2-devel-2.3.105.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade atk-0.12.0.200202140152-snap.ximian.1.noarch => atk-0.13.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade atk-devel-0.12.0.200202140152-snap.ximian.1.noarch => atk-devel-0.13.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade audiofile-1:0.2.3.0.200202140152-snap.ximian.noarch => audiofile-1:0.2.3.0.200202240433-snap.ximian.[gnome2]
+>!> upgrade audiofile-devel-1:0.2.3.0.200202140152-snap.ximian.noarch => audiofile-devel-1:0.2.3.0.200202240433-snap.ximian.[gnome2]
+>!> upgrade bonobo-activation-0.9.3.0.200202140152-snap.ximian.1.noarch => bonobo-activation-0.9.4.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade bonobo-activation-devel-0.9.3.0.200202140152-snap.ximian.1.noarch => bonobo-activation-devel-0.9.4.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade bug-buddy2-1:2.1.3.0.200202140152-snap.ximian.1.noarch => bug-buddy2-1:2.1.3.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade control-center2-1:1.99.3.0.200202140152-snap.ximian.1.noarch => control-center2-1:1.99.3.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade eel2-1.1.4.0.200202140152-snap.ximian.1.noarch => eel2-1.1.5.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade eog2-1:0.111.0.0.200202140152-snap.ximian.1.noarch => eog2-1:0.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade esound-1:0.2.23.0.200202140152-snap.ximian.1.noarch => esound-1:0.2.23.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade esound-devel-1:0.2.23.0.200202140152-snap.ximian.1.noarch => esound-devel-1:0.2.23.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gail-0.8.0.200202140152-snap.ximian.1.noarch => gail-0.8.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gconf-editor-0.1.0.200202140152-snap.ximian.1.noarch => gconf-editor-0.1.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gdm2-1:2.3.90.1.0.200202140152-snap.ximian.1.noarch => gdm2-1:2.3.90.1.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gedit2-1:1.112.0.0.200202140152-snap.ximian.1.noarch => gedit2-1:1.113.0cvs.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade glade2-1.1.0.0.200202140152-snap.ximian.1.noarch => glade2-1.1.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade glib2-1.3.13.0.200202140152-snap.ximian.1.noarch => glib2-1.3.15.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade glib2-devel-1.3.13.0.200202140152-snap.ximian.1.noarch => glib2-devel-1.3.15.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-applets2-1:1.92.2.0.200202140152-snap.ximian.1.noarch => gnome-applets2-1:1.93.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-desktop-1.5.9.0.200202140152-snap.ximian.1.noarch => gnome-desktop-1.5.10.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-desktop-libs-1.5.9.0.200202140152-snap.ximian.1.noarch => gnome-desktop-libs-1.5.10.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-games2-1:1.90.1.0.200202140152-snap.ximian.1.noarch => gnome-games2-1:1.90.1.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-media2-1.112.0.0.200202140152-snap.ximian.1.noarch => gnome-media2-1.176.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-panel-1.5.9.0.200202140152-snap.ximian.1.noarch => gnome-panel-1.5.10.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-panel-libs-1.5.9.0.200202140152-snap.ximian.1.noarch => gnome-panel-libs-1.5.10.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-session-1.5.9.0.200202140152-snap.ximian.1.noarch => gnome-session-1.5.10.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-system-monitor-1.1.4.0.200202140152-snap.ximian.1.noarch => gnome-system-monitor-1.1.4.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-terminal-1.9.0.0.200202151246-snap.ximian.1.noarch => gnome-terminal-1.9.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-utils2-1:1.99.1.0.200202140152-snap.ximian.1.noarch => gnome-utils2-1:1.99.2.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-vfs2-1.9.7.0.200202140152-snap.ximian.1.noarch => gnome-vfs2-1.9.7.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gnome-vfs2-devel-1.9.7.0.200202140152-snap.ximian.1.noarch => gnome-vfs2-devel-1.9.7.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gtk2-1.3.13.0.200202140152-snap.ximian.1.noarch => gtk2-1.3.14.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade gtk2-devel-1.3.13.0.200202140152-snap.ximian.1.noarch => gtk2-devel-1.3.14.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libIDL-0.7.4.0.200202140152-snap.ximian.1.noarch => libIDL-0.7.4.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libIDL-devel-0.7.4.0.200202140152-snap.ximian.1.noarch => libIDL-devel-0.7.4.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libart_lgpl-2.3.8.0.200202140152-snap.ximian.1.noarch => libart_lgpl-2.3.8.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libart_lgpl-devel-2.3.8.0.200202140152-snap.ximian.1.noarch => libart_lgpl-devel-2.3.8.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libbonobo-1.111.0.0.200202140152-snap.ximian.1.noarch => libbonobo-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libbonobo-devel-1.111.0.0.200202140152-snap.ximian.1.noarch => libbonobo-devel-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libbonoboui-1.111.0.0.200202140152-snap.ximian.1.noarch => libbonoboui-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libbonoboui-devel-1.111.0.0.200202140152-snap.ximian.1.noarch => libbonoboui-devel-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libglade2-1.99.7.0.200202140152-snap.ximian.1.noarch => libglade2-1.99.7.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libglade2-devel-1.99.7.0.200202140152-snap.ximian.1.noarch => libglade2-devel-1.99.7.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnome-1.111.0.0.200202140152-snap.ximian.2.noarch => libgnome-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnome-devel-1.111.0.0.200202140152-snap.ximian.2.noarch => libgnome-devel-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnomecanvas-1.111.0.0.200202140152-snap.ximian.1.noarch => libgnomecanvas-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnomecanvas-devel-1.111.0.0.200202140152-snap.ximian.1.noarch => libgnomecanvas-devel-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnomeprint-1.111.0.0.200202140152-snap.ximian.1.noarch => libgnomeprint-1.111.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnomeprint-devel-1.111.0.0.200202140152-snap.ximian.1.noarch => libgnomeprint-devel-1.111.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnomeprintui-1.110.0.0.200202140152-snap.ximian.1.noarch => libgnomeprintui-1.110.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnomeprintui-devel-1.110.0.0.200202140152-snap.ximian.1.noarch => libgnomeprintui-devel-1.110.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnomeui-1.111.1.0.200202140152-snap.ximian.1.noarch => libgnomeui-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgnomeui-devel-1.111.1.0.200202140152-snap.ximian.1.noarch => libgnomeui-devel-1.112.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgtkhtml-1.99.2.0.200202140152-snap.ximian.1.noarch => libgtkhtml-1.99.2.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libgtop2-1.90.2.0.200202140152-snap.ximian.1.noarch => libgtop2-1.90.2.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade librsvg2-1.1.3.0.200202140152-snap.ximian.1.noarch => librsvg2-1.1.3.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libtool-1.4-8.noarch => libtool-1.4-8.ximian.1.noarch[gnome2]
+>!> upgrade libtool-libs-1.4-8.noarch => libtool-libs-1.4-8.ximian.1.noarch[gnome2]
+>!> upgrade libwnck-0.3.0.200202140152-snap.ximian.1.noarch => libwnck-0.5.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libwnck-devel-0.3.0.200202140152-snap.ximian.1.noarch => libwnck-devel-0.5.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libxml2-2.4.15.0.200202140152-snap.ximian.1.noarch => libxml2-2.4.16.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libxml2-devel-2.4.15.0.200202140152-snap.ximian.1.noarch => libxml2-devel-2.4.16.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libxslt-1.0.12.0.200202140152-snap.ximian.1.noarch => libxslt-1.0.12.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libxslt-devel-1.0.12.0.200202140152-snap.ximian.1.noarch => libxslt-devel-1.0.12.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libzvt-1.111.0.0.200202140152-snap.ximian.1.noarch => libzvt-1.111.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade libzvt-devel-1.111.0.0.200202140152-snap.ximian.1.noarch => libzvt-devel-1.111.0.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade linc-0.1.18.0.200202140152-snap.ximian.1.noarch => linc-0.1.18.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade linc-devel-0.1.18.0.200202140152-snap.ximian.1.noarch => linc-devel-0.1.18.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade nautilus-gtkhtml-0.3.0.200202140152-snap.ximian.1.noarch => nautilus-gtkhtml-0.3.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade nautilus2-1.1.5.0.200202140152-snap.ximian.1.noarch => nautilus2-1.1.5.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade pango-0.24.0.200202140152-snap.ximian.1.noarch => pango-0.26.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade pango-devel-0.24.0.200202140152-snap.ximian.1.noarch => pango-devel-0.26.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade rep-gtk2-1:0.16.pre1.0.200202140152-snap.ximian.1.noarch => rep-gtk2-1:0.16.pre1.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade sawfish2-1:2.0.pre1.0.200202140152-snap.ximian.1.noarch => sawfish2-1:2.0.pre1.0.200202240433-snap.ximian.1.noarch[gnome2]
+>!> upgrade yelp-0.2.99.0.200202140152-snap.ximian.1.noarch => yelp-0.2.99.0.200202240433-snap.ximian.1.noarch[gnome2]
 >!> installs=0, upgrades=80, uninstalls=0
 >!> Solution #2:
 >!> This solution is a duplicate.

Modified: trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-34-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-34-test.solution?rev=7510&r1=7509&r2=7510&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-34-test.solution (original)
+++ trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-34-test.solution Fri Oct 12 20:54:06 2007
@@ -4,24 +4,3 @@
 >!> upgrade gnome-vfs-1.0.3-ximian.5 => gnome-vfs-1.0.4-ximian.4[ximian]
 >!> upgrade gnome-vfs-devel-1.0.3-ximian.5 => gnome-vfs-devel-1.0.4-ximian.4[ximian]
 >!> installs=1, upgrades=2, uninstalls=0
->!> Solution #2:
->!> install gnome-mime-data-1.0.3.0.200202270245-snap.ximian.1[gnome2]
->!> upgrade gnome-vfs-1.0.3-ximian.5 => gnome-vfs-1.0.4-ximian.4[ximian]
->!> upgrade gnome-vfs-devel-1.0.3-ximian.5 => gnome-vfs-devel-1.0.4-ximian.4[ximian]
->!> installs=1, upgrades=2, uninstalls=0
->!> Installing gnome-vfs from channel ximian
->!> Installing libglade from channel ximian
->!> Solution #1:
->!> install gnome-mime-data-1.0.1-ximian.3[ximian]
->!> upgrade gnome-vfs-1.0.3-ximian.5 => gnome-vfs-1.0.4-ximian.4[ximian]
->!> upgrade gnome-vfs-devel-1.0.3-ximian.5 => gnome-vfs-devel-1.0.4-ximian.4[ximian]
->!> upgrade libglade-1:0.16-ximian.4 => libglade-1:0.17-1.ximian.1[ximian]
->!> upgrade libglade-devel-1:0.16-ximian.4 => libglade-devel-1:0.17-1.ximian.1[ximian]
->!> installs=1, upgrades=4, uninstalls=0
->!> Solution #2:
->!> install gnome-mime-data-1.0.3.0.200202270245-snap.ximian.1[gnome2]
->!> upgrade gnome-vfs-1.0.3-ximian.5 => gnome-vfs-1.0.4-ximian.4[ximian]
->!> upgrade gnome-vfs-devel-1.0.3-ximian.5 => gnome-vfs-devel-1.0.4-ximian.4[ximian]
->!> upgrade libglade-1:0.16-ximian.4 => libglade-1:0.17-1.ximian.1[ximian]
->!> upgrade libglade-devel-1:0.16-ximian.4 => libglade-devel-1:0.17-1.ximian.1[ximian]
->!> installs=1, upgrades=4, uninstalls=0

Modified: trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-43-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-43-test.solution?rev=7510&r1=7509&r2=7510&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-43-test.solution (original)
+++ trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-43-test.solution Fri Oct 12 20:54:06 2007
@@ -1,128 +1,129 @@
 >!> Checking for upgrades...
->!> Upgrading GConf-1.0.7-2 => GConf-1.0.8-1.ximian.1[ximian]
->!> Upgrading GConf-devel-1.0.7-2 => GConf-devel-1.0.8-1.ximian.1[ximian]
->!> Upgrading Mesa-3:3.4.2-7 => Mesa-3:3.4.2-10[redhat]
->!> Upgrading Mesa-demos-3:3.4.2-7 => Mesa-demos-3:3.4.2-10[redhat]
->!> Upgrading Mesa-devel-3:3.4.2-7 => Mesa-devel-3:3.4.2-10[redhat]
->!> Upgrading XFree86-4.1.0-3 => XFree86-4.1.0-15[redhat]
->!> Upgrading XFree86-100dpi-fonts-4.1.0-3 => XFree86-100dpi-fonts-4.1.0-15[redhat]
->!> Upgrading XFree86-75dpi-fonts-4.1.0-3 => XFree86-75dpi-fonts-4.1.0-15[redhat]
->!> Upgrading XFree86-ISO8859-15-100dpi-fonts-4.1.0-3 => XFree86-ISO8859-15-100dpi-fonts-4.1.0-15[redhat]
->!> Upgrading XFree86-ISO8859-15-75dpi-fonts-4.1.0-3 => XFree86-ISO8859-15-75dpi-fonts-4.1.0-15[redhat]
->!> Upgrading XFree86-Xnest-4.1.0-3 => XFree86-Xnest-4.1.0-15[redhat]
->!> Upgrading XFree86-devel-4.1.0-3 => XFree86-devel-4.1.0-15[redhat]
->!> Upgrading XFree86-libs-4.1.0-3 => XFree86-libs-4.1.0-15[redhat]
->!> Upgrading XFree86-tools-4.1.0-3 => XFree86-tools-4.1.0-15[redhat]
->!> Upgrading XFree86-twm-4.1.0-3 => XFree86-twm-4.1.0-15[redhat]
->!> Upgrading XFree86-xdm-4.1.0-3 => XFree86-xdm-4.1.0-15[redhat]
->!> Upgrading XFree86-xfs-4.1.0-3 => XFree86-xfs-4.1.0-15[redhat]
->!> Upgrading Xconfigurator-4.9.39-1 => Xconfigurator-4.9.39-2[redhat]
->!> Upgrading arts-6:2.2-11 => arts-6:2.2.2-2[redhat]
->!> Upgrading binutils-2.11.90.0.8-9 => binutils-2.11.90.0.8-12[redhat]
->!> Upgrading control-center-1:1.4.0.1-ximian.5 => control-center-1:1.4.0.4-1.ximian.1[ximian]
->!> Upgrading cvs-1.11.1p1-3 => cvs-1.11.1p1-7[redhat]
->!> Upgrading dump-0.4b22-6 => dump-0.4b25-1.72.0[redhat]
->!> Upgrading e2fsprogs-1.23-2 => e2fsprogs-1.26-1.72[redhat]
->!> Upgrading e2fsprogs-devel-1.23-2 => e2fsprogs-devel-1.26-1.72[redhat]
->!> Upgrading foomatic-1.1-0.20011018.7 => foomatic-1.1-0.20011218.3[redhat]
->!> Upgrading ggv-1.0.1-ximian.1 => ggv-1.0.1-4[redhat]
->!> Upgrading gimp-1:1.2.1-7 => gimp-1:1.2.2-ximian.3[ximian]
->!> Upgrading gimp-devel-1:1.2.1-7 => gimp-devel-1:1.2.2-ximian.3[ximian]
->!> Upgrading glade-1:0.6.2-3 => glade-1:0.6.4-1.ximian.1[ximian]
->!> Upgrading gmc-4.5.51-36 => gmc-4.5.55-1.ximian.1[ximian]
->!> Upgrading gnet-1.0.4-ximian.3 => gnet-1.1.0-1.ximian.1[ximian]
->!> Upgrading gnet-devel-1.0.4-ximian.3 => gnet-devel-1.1.0-1.ximian.1[ximian]
->!> Upgrading gnome-audio-1.0.0-12 => gnome-audio-1.4.0-ximian.4[ximian]
->!> Upgrading gnome-audio-extra-1.0.0-12 => gnome-audio-extra-1.4.0-ximian.4[ximian]
->!> Upgrading gnome-libs-1:1.4.1.3-ximian.1 => gnome-libs-1:1.4.1.4-1.ximian.3[ximian]
->!> Upgrading gnome-libs-devel-1:1.4.1.3-ximian.1 => gnome-libs-devel-1:1.4.1.4-1.ximian.3[ximian]
->!> Upgrading gnome-pilot-0.1.63-ximian.2 => gnome-pilot-0.1.64-ximian.1[ximian]
->!> Upgrading gnome-pim-1:1.2.0-13 => gnome-pim-1:1.4.0-ximian.7[ximian]
->!> Upgrading gnome-pim-devel-1:1.2.0-13 => gnome-pim-devel-1:1.4.0-ximian.5[ximian]
->!> Upgrading gnome-print-1:0.34-ximian.1 => gnome-print-1:0.35-1.ximian.1[ximian]
->!> Upgrading gnome-print-devel-1:0.34-ximian.1 => gnome-print-devel-1:0.35-1.ximian.1[ximian]
->!> Upgrading gnome-spell-0.4-ximian.1 => gnome-spell-0.4-ximian.2[ximian]
->!> Upgrading gnome-user-docs-1.4.1-1 => gnome-user-docs-1.4.1.1-ximian.2[ximian]
->!> Upgrading gnomeicu-1:0.96.1-ximian.4 => gnomeicu-1:0.98.2-1.ximian.1[ximian]
->!> Upgrading gphoto-1:0.4.3-ximian.5 => gphoto-1:0.4.3-13[redhat]
->!> Upgrading gtk+-1:1.2.10-ximian.21 => gtk+-1:1.2.10-11[redhat]
->!> Upgrading gtk+-devel-1:1.2.10-ximian.21 => gtk+-devel-1:1.2.10-11[redhat]
->!> Upgrading imlib-1:1.9.10-2 => imlib-1:1.9.13-1.ximian.1[ximian]
->!> Upgrading imlib-cfgeditor-1:1.9.10-2 => imlib-cfgeditor-1:1.9.13-1.ximian.1[ximian]
->!> Upgrading imlib-devel-1:1.9.10-2 => imlib-devel-1:1.9.13-1.ximian.1[ximian]
->!> Upgrading initscripts-6.40-1 => initscripts-6.43-1[redhat]
->!> Upgrading libglade-1:0.17-1 => libglade-1:0.17-1.ximian.1[ximian]
->!> Upgrading libglade-devel-1:0.17-1 => libglade-devel-1:0.17-1.ximian.1[ximian]
->!> Upgrading libgnomeprint15-1:0.34-ximian.1 => libgnomeprint15-1:0.35-1.ximian.1[ximian]
->!> Upgrading libnspr-devel-35:0.9.8-1.ximian.2 => libnspr-devel-35:0.9.8-1.ximian.4[ximian]
->!> Upgrading libnspr4-35:0.9.8-1.ximian.2 => libnspr4-35:0.9.8-1.ximian.4[ximian]
->!> Upgrading libnss-devel-35:0.9.8-1.ximian.2 => libnss-devel-35:0.9.8-1.ximian.4[ximian]
->!> Upgrading libnss3-35:0.9.8-1.ximian.2 => libnss3-35:0.9.8-1.ximian.4[ximian]
->!> Upgrading libogg-1:1.0rc2-1 => libogg-1:1.0rc3-ximian.3[ximian]
->!> Upgrading libogg-devel-1:1.0rc2-1 => libogg-devel-1:1.0rc3-ximian.3[ximian]
->!> Upgrading libole2-0.2.4-ximian.1 => libole2-0.2.4-ximian.3[ximian]
->!> Upgrading libunicode-0.4-6 => libunicode-0.4.gnome-ximian.2[ximian]
->!> Upgrading libunicode-devel-0.4-6 => libunicode-devel-0.4.gnome-ximian.2[ximian]
->!> Upgrading libvorbis-1.0rc2-2 => libvorbis-1:1.0rc3-ximian.2[ximian]
->!> Upgrading libvorbis-devel-1.0rc2-2 => libvorbis-devel-1:1.0rc3-ximian.2[ximian]
->!> Upgrading libxml-1:1.8.16-3 => libxml-1:1.8.17-1.ximian.1[ximian]
->!> Upgrading libxml-devel-1:1.8.16-3 => libxml-devel-1:1.8.17-1.ximian.1[ximian]
->!> Upgrading mc-4.5.51-36 => mc-4.5.55-1.ximian.1[ximian]
->!> Upgrading mod_perl-1.24_01-3 => mod_perl-1.26-2[redhat]
->!> Upgrading mod_ssl-2.8.5-1 => mod_ssl-2.8.5-4[redhat]
->!> Upgrading modutils-2.4.6-4 => modutils-2.4.13-0.7.1[redhat]
->!> Upgrading mozilla-35:0.9.8-1.ximian.2 => mozilla-35:0.9.8-1.ximian.4[ximian]
->!> Upgrading mozilla-mail-35:0.9.8-1.ximian.2 => mozilla-mail-35:0.9.8-1.ximian.4[ximian]
->!> Upgrading mozilla-psm-35:0.9.8-1.ximian.2 => mozilla-psm-35:0.9.8-1.ximian.4[ximian]
->!> Upgrading ncurses4-5.0-4 => ncurses4-5.0-5[redhat]
->!> Upgrading oaf-0.6.7-ximian.2 => oaf-0.6.8-1.ximian.1[ximian]
->!> Upgrading oaf-devel-0.6.7-ximian.2 => oaf-devel-0.6.8-1.ximian.1[ximian]
->!> Upgrading openssh-2.9p2-12 => openssh-3.1p1-2[redhat]
->!> Upgrading openssh-askpass-2.9p2-12 => openssh-askpass-3.1p1-2[redhat]
->!> Upgrading openssh-askpass-gnome-2.9p2-12 => openssh-askpass-gnome-3.1p1-2[redhat]
->!> Upgrading openssh-clients-2.9p2-12 => openssh-clients-3.1p1-2[redhat]
->!> Upgrading openssh-server-2.9p2-12 => openssh-server-3.1p1-2[redhat]
->!> Upgrading pan-1:0.11.1-ximian.1 => pan-1:0.11.2-1.ximian.1[ximian]
->!> Upgrading perl-1:5.6.0-17 => perl-1:5.6.1-26.72.3[redhat]
->!> Upgrading php-4.0.6-7 => php-4.0.6-12[redhat]
->!> Upgrading php-imap-4.0.6-7 => php-imap-4.0.6-12[redhat]
->!> Upgrading php-ldap-4.0.6-7 => php-ldap-4.0.6-12[redhat]
->!> Upgrading pilot-link-1:0.9.5-ximian.1 => pilot-link-1:0.9.5-8[redhat]
->!> Upgrading printconf-0.3.52-1 => printconf-0.3.61-3[redhat]
->!> Upgrading printconf-gui-0.3.52-1 => printconf-gui-0.3.61-3[redhat]
->!> Upgrading pygtk-1:0.6.8-3 => pygtk-1:0.6.9-1.ximian.2[ximian]
->!> Upgrading pygtk-libglade-1:0.6.8-3 => pygtk-libglade-1:0.6.9-1.ximian.2[ximian]
->!> Upgrading red-carpet-1.2.3-ximian.2 => red-carpet-1.2.3-ximian.6[ximian]
->!> Upgrading redhat-config-network-0.9-1 => redhat-config-network-0.9.10-2[redhat]
->!> Upgrading rep-gtk-1:0.15-ximian.6 => rep-gtk-1:0.15-6[redhat]
->!> Upgrading rep-gtk-gnome-1:0.15-ximian.6 => rep-gtk-gnome-1:0.15-6[redhat]
->!> Upgrading rep-gtk-libglade-1:0.15-ximian.6 => rep-gtk-libglade-1:0.15-6[redhat]
->!> Upgrading rhn_register-2.7.2-7.x.2 => rhn_register-2.7.9-7.x.2[redhat]
->!> Upgrading rhn_register-gnome-2.7.2-7.x.2 => rhn_register-gnome-2.7.9-7.x.2[redhat]
->!> Upgrading rmt-0.4b22-6 => rmt-0.4b25-1.72.0[redhat]
->!> Upgrading rsync-2.4.6-10 => rsync-2.4.6-13[redhat]
->!> Upgrading sawfish-gorilla-0.1-1.ximian.1 => sawfish-gorilla-0.1-1.ximian.2[ximian]
->!> Upgrading squid-6:2.4.STABLE1-6 => squid-7:2.4.STABLE3-1.7.2[redhat]
->!> Upgrading tetex-1.0.7-30 => tetex-1.0.7-38.2[redhat]
->!> Upgrading tetex-afm-1.0.7-30 => tetex-afm-1.0.7-38.2[redhat]
->!> Upgrading tetex-dvilj-1.0.7-30 => tetex-dvilj-1.0.7-38.2[redhat]
->!> Upgrading tetex-dvips-1.0.7-30 => tetex-dvips-1.0.7-38.2[redhat]
->!> Upgrading tetex-fonts-1.0.7-30 => tetex-fonts-1.0.7-38.2[redhat]
->!> Upgrading tetex-latex-1.0.7-30 => tetex-latex-1.0.7-38.2[redhat]
->!> Upgrading tetex-xdvi-1.0.7-30 => tetex-xdvi-1.0.7-38.2[redhat]
->!> Upgrading tmpwatch-2.8-2 => tmpwatch-2.8.1-1[redhat]
->!> Upgrading tux-2.1.0-2 => tux-2.2.0-1[redhat]
->!> Upgrading up2date-2.7.2-7.x.6 => up2date-2.7.46-7.x.2[redhat]
->!> Upgrading up2date-gnome-2.7.2-7.x.6 => up2date-gnome-2.7.46-7.x.2[redhat]
->!> Upgrading vim-common-1:5.8-7 => vim-common-1:6.0-7.13[redhat]
->!> Upgrading vim-enhanced-1:5.8-7 => vim-enhanced-1:6.0-7.13[redhat]
->!> Upgrading vnc-3.3.3r2-18 => vnc-3.3.3r2-18.3[redhat]
->!> Upgrading vnc-server-3.3.3r2-18 => vnc-server-3.3.3r2-18.3[redhat]
->!> Upgrading xchat-1:1.8.7-ximian.1 => xchat-1:1.8.7-1.72.0[redhat]
->!> Upgrading ximian-menus-1.4-ximian.6 => ximian-menus-1.4.1-1.ximian.3[ximian]
->!> Upgrading xmms-1:1.2.5-ximian.5 => xmms-1:1.2.6-ximian.3[ximian]
->!> Upgrading xmms-gnome-1:1.2.5-ximian.5 => xmms-gnome-1:1.2.6-ximian.3[ximian]
->!> Upgrading xscreensaver-1:4.00-ximian.2 => xscreensaver-1:4.01-1.ximian.1[ximian]
->!> Upgrading zlib-1.1.3-24 => zlib-1.1.3-25.7[redhat]
->!> Upgrading zlib-devel-1.1.3-24 => zlib-devel-1.1.3-25.7[redhat]
->!> Upgrading 126 packages
+>!> Solution #1:
+>!> upgrade GConf-1.0.7-2.noarch => GConf-1.0.8-1.ximian.1.noarch[ximian]
+>!> upgrade GConf-devel-1.0.7-2.noarch => GConf-devel-1.0.8-1.ximian.1.noarch[ximian]
+>!> upgrade Mesa-3:3.4.2-7.noarch => Mesa-3:3.4.2-10.noarch[redhat]
+>!> upgrade Mesa-demos-3:3.4.2-7.noarch => Mesa-demos-3:3.4.2-10.noarch[redhat]
+>!> upgrade Mesa-devel-3:3.4.2-7.noarch => Mesa-devel-3:3.4.2-10.noarch[redhat]
+>!> upgrade XFree86-4.1.0-3.noarch => XFree86-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-100dpi-fonts-4.1.0-3.noarch => XFree86-100dpi-fonts-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-75dpi-fonts-4.1.0-3.noarch => XFree86-75dpi-fonts-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-ISO8859-15-100dpi-fonts-4.1.0-3.noarch => XFree86-ISO8859-15-100dpi-fonts-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-ISO8859-15-75dpi-fonts-4.1.0-3.noarch => XFree86-ISO8859-15-75dpi-fonts-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-Xnest-4.1.0-3.noarch => XFree86-Xnest-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-devel-4.1.0-3.noarch => XFree86-devel-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-libs-4.1.0-3.noarch => XFree86-libs-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-tools-4.1.0-3.noarch => XFree86-tools-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-twm-4.1.0-3.noarch => XFree86-twm-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-xdm-4.1.0-3.noarch => XFree86-xdm-4.1.0-15.noarch[redhat]
+>!> upgrade XFree86-xfs-4.1.0-3.noarch => XFree86-xfs-4.1.0-15.noarch[redhat]
+>!> upgrade Xconfigurator-4.9.39-1.noarch => Xconfigurator-4.9.39-2.noarch[redhat]
+>!> upgrade arts-6:2.2-11.noarch => arts-6:2.2.2-2.noarch[redhat]
+>!> upgrade binutils-2.11.90.0.8-9.noarch => binutils-2.11.90.0.8-12.noarch[redhat]
+>!> upgrade control-center-1:1.4.0.1-ximian.5.noarch => control-center-1:1.4.0.4-1.ximian.1.noarch[ximian]
+>!> upgrade cvs-1.11.1p1-3.noarch => cvs-1.11.1p1-7.noarch[redhat]
+>!> upgrade dump-0.4b22-6.noarch => dump-0.4b25-1.72.0.noarch[redhat]
+>!> upgrade e2fsprogs-1.23-2.noarch => e2fsprogs-1.26-1.72.noarch[redhat]
+>!> upgrade e2fsprogs-devel-1.23-2.noarch => e2fsprogs-devel-1.26-1.72.noarch[redhat]
+>!> upgrade foomatic-1.1-0.20011018.7.noarch => foomatic-1.1-0.20011218.3.noarch[redhat]
+>!> upgrade ggv-1.0.1-ximian.1.noarch => ggv-1.0.1-4.noarch[redhat]
+>!> upgrade gimp-1:1.2.1-7.noarch => gimp-1:1.2.2-ximian.3.noarch[ximian]
+>!> upgrade gimp-devel-1:1.2.1-7.noarch => gimp-devel-1:1.2.2-ximian.3.noarch[ximian]
+>!> upgrade glade-1:0.6.2-3.noarch => glade-1:0.6.4-1.ximian.1.noarch[ximian]
+>!> upgrade gmc-4.5.51-36.noarch => gmc-4.5.55-1.ximian.1.noarch[ximian]
+>!> upgrade gnet-1.0.4-ximian.3.noarch => gnet-1.1.0-1.ximian.1.noarch[ximian]
+>!> upgrade gnet-devel-1.0.4-ximian.3.noarch => gnet-devel-1.1.0-1.ximian.1.noarch[ximian]
+>!> upgrade gnome-audio-1.0.0-12.noarch => gnome-audio-1.4.0-ximian.4.noarch[ximian]
+>!> upgrade gnome-audio-extra-1.0.0-12.noarch => gnome-audio-extra-1.4.0-ximian.4.noarch[ximian]
+>!> upgrade gnome-libs-1:1.4.1.3-ximian.1.noarch => gnome-libs-1:1.4.1.4-1.ximian.3.noarch[ximian]
+>!> upgrade gnome-libs-devel-1:1.4.1.3-ximian.1.noarch => gnome-libs-devel-1:1.4.1.4-1.ximian.3.noarch[ximian]
+>!> upgrade gnome-pilot-0.1.63-ximian.2.noarch => gnome-pilot-0.1.64-ximian.1.noarch[ximian]
+>!> upgrade gnome-pim-1:1.2.0-13.noarch => gnome-pim-1:1.4.0-ximian.7.noarch[ximian]
+>!> upgrade gnome-pim-devel-1:1.2.0-13.noarch => gnome-pim-devel-1:1.4.0-ximian.5.noarch[ximian]
+>!> upgrade gnome-print-1:0.34-ximian.1.noarch => gnome-print-1:0.35-1.ximian.1.noarch[ximian]
+>!> upgrade gnome-print-devel-1:0.34-ximian.1.noarch => gnome-print-devel-1:0.35-1.ximian.1.noarch[ximian]
+>!> upgrade gnome-spell-0.4-ximian.1.noarch => gnome-spell-0.4-ximian.2.noarch[ximian]
+>!> upgrade gnome-user-docs-1.4.1-1.noarch => gnome-user-docs-1.4.1.1-ximian.2.noarch[ximian]
+>!> upgrade gnomeicu-1:0.96.1-ximian.4.noarch => gnomeicu-1:0.98.2-1.ximian.1.noarch[ximian]
+>!> upgrade gphoto-1:0.4.3-ximian.5.noarch => gphoto-1:0.4.3-13.noarch[redhat]
+>!> upgrade gtk+-1:1.2.10-ximian.21.noarch => gtk+-1:1.2.10-11.noarch[redhat]
+>!> upgrade gtk+-devel-1:1.2.10-ximian.21.noarch => gtk+-devel-1:1.2.10-11.noarch[redhat]
+>!> upgrade imlib-1:1.9.10-2.noarch => imlib-1:1.9.13-1.ximian.1.noarch[ximian]
+>!> upgrade imlib-cfgeditor-1:1.9.10-2.noarch => imlib-cfgeditor-1:1.9.13-1.ximian.1.noarch[ximian]
+>!> upgrade imlib-devel-1:1.9.10-2.noarch => imlib-devel-1:1.9.13-1.ximian.1.noarch[ximian]
+>!> upgrade initscripts-6.40-1.noarch => initscripts-6.43-1.noarch[redhat]
+>!> upgrade libglade-1:0.17-1.noarch => libglade-1:0.17-1.ximian.1.noarch[ximian]
+>!> upgrade libglade-devel-1:0.17-1.noarch => libglade-devel-1:0.17-1.ximian.1.noarch[ximian]
+>!> upgrade libgnomeprint15-1:0.34-ximian.1.noarch => libgnomeprint15-1:0.35-1.ximian.1.noarch[ximian]
+>!> upgrade libnspr-devel-35:0.9.8-1.ximian.2.noarch => libnspr-devel-35:0.9.8-1.ximian.4.noarch[ximian]
+>!> upgrade libnspr4-35:0.9.8-1.ximian.2.noarch => libnspr4-35:0.9.8-1.ximian.4.noarch[ximian]
+>!> upgrade libnss-devel-35:0.9.8-1.ximian.2.noarch => libnss-devel-35:0.9.8-1.ximian.4.noarch[ximian]
+>!> upgrade libnss3-35:0.9.8-1.ximian.2.noarch => libnss3-35:0.9.8-1.ximian.4.noarch[ximian]
+>!> upgrade libogg-1:1.0rc2-1.noarch => libogg-1:1.0rc3-ximian.3.noarch[ximian]
+>!> upgrade libogg-devel-1:1.0rc2-1.noarch => libogg-devel-1:1.0rc3-ximian.3.noarch[ximian]
+>!> upgrade libole2-0.2.4-ximian.1.noarch => libole2-0.2.4-ximian.3.noarch[ximian]
+>!> upgrade libunicode-0.4-6.noarch => libunicode-0.4.gnome-ximian.2.noarch[ximian]
+>!> upgrade libunicode-devel-0.4-6.noarch => libunicode-devel-0.4.gnome-ximian.2.noarch[ximian]
+>!> upgrade libvorbis-1.0rc2-2.noarch => libvorbis-1:1.0rc3-ximian.2.noarch[ximian]
+>!> upgrade libvorbis-devel-1.0rc2-2.noarch => libvorbis-devel-1:1.0rc3-ximian.2.noarch[ximian]
+>!> upgrade libxml-1:1.8.16-3.noarch => libxml-1:1.8.17-1.ximian.1.noarch[ximian]
+>!> upgrade libxml-devel-1:1.8.16-3.noarch => libxml-devel-1:1.8.17-1.ximian.1.noarch[ximian]
+>!> upgrade mc-4.5.51-36.noarch => mc-4.5.55-1.ximian.1.noarch[ximian]
+>!> upgrade mod_perl-1.24_01-3.noarch => mod_perl-1.26-2.noarch[redhat]
+>!> upgrade mod_ssl-2.8.5-1.noarch => mod_ssl-2.8.5-4.noarch[redhat]
+>!> upgrade modutils-2.4.6-4.noarch => modutils-2.4.13-0.7.1.noarch[redhat]
+>!> upgrade mozilla-35:0.9.8-1.ximian.2.noarch => mozilla-35:0.9.8-1.ximian.4.noarch[ximian]
+>!> upgrade mozilla-mail-35:0.9.8-1.ximian.2.noarch => mozilla-mail-35:0.9.8-1.ximian.4.noarch[ximian]
+>!> upgrade mozilla-psm-35:0.9.8-1.ximian.2.noarch => mozilla-psm-35:0.9.8-1.ximian.4.noarch[ximian]
+>!> upgrade ncurses4-5.0-4.noarch => ncurses4-5.0-5.noarch[redhat]
+>!> upgrade oaf-0.6.7-ximian.2.noarch => oaf-0.6.8-1.ximian.1.noarch[ximian]
+>!> upgrade oaf-devel-0.6.7-ximian.2.noarch => oaf-devel-0.6.8-1.ximian.1.noarch[ximian]
+>!> upgrade openssh-2.9p2-12.noarch => openssh-3.1p1-2.noarch[redhat]
+>!> upgrade openssh-askpass-2.9p2-12.noarch => openssh-askpass-3.1p1-2.noarch[redhat]
+>!> upgrade openssh-askpass-gnome-2.9p2-12.noarch => openssh-askpass-gnome-3.1p1-2.noarch[redhat]
+>!> upgrade openssh-clients-2.9p2-12.noarch => openssh-clients-3.1p1-2.noarch[redhat]
+>!> upgrade openssh-server-2.9p2-12.noarch => openssh-server-3.1p1-2.noarch[redhat]
+>!> upgrade pan-1:0.11.1-ximian.1.noarch => pan-1:0.11.2-1.ximian.1.noarch[ximian]
+>!> upgrade perl-1:5.6.0-17.noarch => perl-1:5.6.1-26.72.3.noarch[redhat]
+>!> upgrade php-4.0.6-7.noarch => php-4.0.6-12.noarch[redhat]
+>!> upgrade php-imap-4.0.6-7.noarch => php-imap-4.0.6-12.noarch[redhat]
+>!> upgrade php-ldap-4.0.6-7.noarch => php-ldap-4.0.6-12.noarch[redhat]
+>!> upgrade pilot-link-1:0.9.5-ximian.1.noarch => pilot-link-1:0.9.5-8.noarch[redhat]
+>!> upgrade printconf-0.3.52-1.noarch => printconf-0.3.61-3.noarch[redhat]
+>!> upgrade printconf-gui-0.3.52-1.noarch => printconf-gui-0.3.61-3.noarch[redhat]
+>!> upgrade pygtk-1:0.6.8-3.noarch => pygtk-1:0.6.9-1.ximian.2.noarch[ximian]
+>!> upgrade pygtk-libglade-1:0.6.8-3.noarch => pygtk-libglade-1:0.6.9-1.ximian.2.noarch[ximian]
+>!> upgrade red-carpet-1.2.3-ximian.2.noarch => red-carpet-1.2.3-ximian.6.noarch[ximian]
+>!> upgrade redhat-config-network-0.9-1.noarch => redhat-config-network-0.9.10-2.noarch[redhat]
+>!> upgrade rep-gtk-1:0.15-ximian.6.noarch => rep-gtk-1:0.15-6.noarch[redhat]
+>!> upgrade rep-gtk-gnome-1:0.15-ximian.6.noarch => rep-gtk-gnome-1:0.15-6.noarch[redhat]
+>!> upgrade rep-gtk-libglade-1:0.15-ximian.6.noarch => rep-gtk-libglade-1:0.15-6.noarch[redhat]
+>!> upgrade rhn_register-2.7.2-7.x.2.noarch => rhn_register-2.7.9-7.x.2.noarch[redhat]
+>!> upgrade rhn_register-gnome-2.7.2-7.x.2.noarch => rhn_register-gnome-2.7.9-7.x.2.noarch[redhat]
+>!> upgrade rmt-0.4b22-6.noarch => rmt-0.4b25-1.72.0.noarch[redhat]
+>!> upgrade rsync-2.4.6-10.noarch => rsync-2.4.6-13.noarch[redhat]
+>!> upgrade sawfish-gorilla-0.1-1.ximian.1.noarch => sawfish-gorilla-0.1-1.ximian.2.noarch[ximian]
+>!> upgrade squid-6:2.4.STABLE1-6.noarch => squid-7:2.4.STABLE3-1.7.2.noarch[redhat]
+>!> upgrade tetex-1.0.7-30.noarch => tetex-1.0.7-38.2.noarch[redhat]
+>!> upgrade tetex-afm-1.0.7-30.noarch => tetex-afm-1.0.7-38.2.noarch[redhat]
+>!> upgrade tetex-dvilj-1.0.7-30.noarch => tetex-dvilj-1.0.7-38.2.noarch[redhat]
+>!> upgrade tetex-dvips-1.0.7-30.noarch => tetex-dvips-1.0.7-38.2.noarch[redhat]
+>!> upgrade tetex-fonts-1.0.7-30.noarch => tetex-fonts-1.0.7-38.2.noarch[redhat]
+>!> upgrade tetex-latex-1.0.7-30.noarch => tetex-latex-1.0.7-38.2.noarch[redhat]
+>!> upgrade tetex-xdvi-1.0.7-30.noarch => tetex-xdvi-1.0.7-38.2.noarch[redhat]
+>!> upgrade tmpwatch-2.8-2.noarch => tmpwatch-2.8.1-1.noarch[redhat]
+>!> upgrade tux-2.1.0-2.noarch => tux-2.2.0-1.noarch[redhat]
+>!> upgrade up2date-2.7.2-7.x.6.noarch => up2date-2.7.46-7.x.2.noarch[redhat]
+>!> upgrade up2date-gnome-2.7.2-7.x.6.noarch => up2date-gnome-2.7.46-7.x.2.noarch[redhat]
+>!> upgrade vim-common-1:5.8-7.noarch => vim-common-1:6.0-7.13.noarch[redhat]
+>!> upgrade vim-enhanced-1:5.8-7.noarch => vim-enhanced-1:6.0-7.13.noarch[redhat]
+>!> upgrade vnc-3.3.3r2-18.noarch => vnc-3.3.3r2-18.3.noarch[redhat]
+>!> upgrade vnc-server-3.3.3r2-18.noarch => vnc-server-3.3.3r2-18.3.noarch[redhat]
+>!> upgrade xchat-1:1.8.7-ximian.1.noarch => xchat-1:1.8.7-1.72.0.noarch[redhat]
+>!> upgrade ximian-menus-1.4-ximian.6.noarch => ximian-menus-1.4.1-1.ximian.3.noarch[ximian]
+>!> upgrade xmms-1:1.2.5-ximian.5.noarch => xmms-1:1.2.6-ximian.3.noarch[ximian]
+>!> upgrade xmms-gnome-1:1.2.5-ximian.5.noarch => xmms-gnome-1:1.2.6-ximian.3.noarch[ximian]
+>!> upgrade xscreensaver-1:4.00-ximian.2.noarch => xscreensaver-1:4.01-1.ximian.1.noarch[ximian]
+>!> upgrade zlib-1.1.3-24.noarch => zlib-1.1.3-25.7.noarch[redhat]
+>!> upgrade zlib-devel-1.1.3-24.noarch => zlib-devel-1.1.3-25.7.noarch[redhat]
+>!> upgrade 126 packages

Modified: trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-48-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-48-test.solution?rev=7510&r1=7509&r2=7510&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-48-test.solution (original)
+++ trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-48-test.solution Fri Oct 12 20:54:06 2007
@@ -5,7 +5,3 @@
 >!> remove  b-1.0-1
 >!> installs=1, upgrades=0, uninstalls=2
 >!> Installing d from channel test
->!> Solution #1:
->!> install d-1.0-1.noarch[test]
->!> remove  a-1.0-1
->!> installs=1, upgrades=0, uninstalls=1

Modified: trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-05reallive-4-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-05reallive-4-test.solution?rev=7510&r1=7509&r2=7510&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-05reallive-4-test.solution (original)
+++ trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-05reallive-4-test.solution Fri Oct 12 20:54:06 2007
@@ -1,116 +1,116 @@
 >!> Checking for upgrades...
->!> Upgrading DEV-3.3-0 => DEV-3.4-1.noarch[test]
->!> Upgrading LPRng-3.5.3-1 => LPRng-3.5.3-2.noarch[test]
->!> Upgrading LPRng-lpd-3.5.3-1 => LPRng-lpd-3.5.3-2.noarch[test]
->!> Upgrading SysVinit-2.76-0 => SysVinit-2.76.3-2.noarch[test]
->!> Upgrading SysVinit-scripts-1.04-0 => SysVinit-scripts-1.05-5.noarch[test]
->!> Upgrading autoconf-2.13-0 => autoconf-2.13-1.noarch[test]
->!> Upgrading bash-1.14.7-9 => bash-1.14.7-10.noarch[test]
->!> Upgrading binutils-2.9.1.0.19a-0 => binutils-2.9.1.0.21-2.noarch[test]
->!> Upgrading crontabs-1.10-2 => crontabs-1.12-1.noarch[test]
->!> Upgrading egcs-2.91.60-3 => egcs-2.91.66-5.noarch[test]
->!> Upgrading egcs-c++-2.91.60-3 => egcs-c++-2.91.66-5.noarch[test]
->!> Upgrading findutils-4.1-9 => findutils-4.1-11.noarch[test]
->!> Upgrading gdb-4.17-2 => gdb-4.17.0.11-2.noarch[test]
->!> Upgrading glibc-2.1-1 => glibc-2.1.2-1.noarch[test]
->!> Upgrading isapnptools-1.16-1 => isapnptools-1.18-1.noarch[test]
->!> Upgrading kbd-0.96-1 => kbd-0.99-1.noarch[test]
->!> Upgrading ld.so-1.9.9-2 => ld.so-1.9.11-1.noarch[test]
->!> Upgrading less-332-3 => less-340-1.noarch[test]
->!> Upgrading libgr-2.0.13-1 => libgr-2.0.13-2.noarch[test]
->!> Upgrading libpam-0.66-1 => libpam-0.66-3.noarch[test]
->!> Upgrading libpwdb-0.54-7 => libpwdb-0.54-8.noarch[test]
->!> Upgrading libz-1.0.2-1 => libz-1.0.2-2.noarch[test]
->!> Upgrading linux-kernel-binary-2.2.1-0a => linux-kernel-binary-2.2.13-1S.noarch[test]
->!> Upgrading linux-kernel-include-2.2.1-0a => linux-kernel-include-2.2.13-1S.noarch[test]
->!> Upgrading lisa-3.1-0 => lisa-4.0-7.noarch[test]
->!> Upgrading man-1.5f-1 => man-1.5f-5.noarch[test]
->!> Upgrading mtabase-1.0-5 => mtabase-1.0-8.noarch[test]
->!> Upgrading ncurses-4.2-1 => ncurses-4.2-4.noarch[test]
->!> Upgrading ncurses-devel-4.2-1 => ncurses-devel-4.2-4.noarch[test]
->!> Upgrading ncurses-devel-static-4.2-1 => ncurses-devel-static-4.2-4.noarch[test]
->!> Upgrading ncurses-termcap-devel-4.2-1 => ncurses-termcap-devel-4.2-4.noarch[test]
->!> Upgrading ncurses-termcap-devel-static-4.2-1 => ncurses-termcap-devel-static-4.2-4.noarch[test]
->!> Upgrading nis-client-2.0-0 => nis-client-2.0-8.noarch[test]
->!> Upgrading pciutils-1.99.4-1 => pciutils-2.0-1.noarch[test]
->!> Upgrading perl-5.005_02-0 => perl-5.005_02-1.noarch[test]
->!> Upgrading perl-add-5.005_02-0 => perl-add-5.005_02-1.noarch[test]
->!> Upgrading procmail-3.10-8 => procmail-3.13.1-1.noarch[test]
->!> Upgrading procps-1.2.9-2 => procps-2.0.2-1.noarch[test]
->!> Upgrading python-1.5.1-0a => python-1.5.1-1.noarch[test]
->!> Upgrading python-devel-1.5.1-0a => python-devel-1.5.1-1.noarch[test]
->!> Upgrading python-eclass-1.2-0 => python-eclass-1.2-2.noarch[test]
->!> Upgrading qt-1.4.2-1 => qt-1.44-4.noarch[test]
->!> Upgrading qt-devel-1.4.2-1 => qt-devel-1.44-4.noarch[test]
->!> Upgrading rpm-2.5.5-2 => rpm-2.5.5-3.noarch[test]
->!> Upgrading sendmail-8.8.7-7 => sendmail-8.9.3-1.noarch[test]
->!> Upgrading setup-2.0-0a => setup-2.0-6.noarch[test]
->!> Upgrading sh-utils-1.16-3 => sh-utils-1.16-7.noarch[test]
->!> Upgrading slang-1.2.2-0 => slang-1.3.7-1.noarch[test]
->!> Upgrading strace-3.1-3 => strace-4.0-2.noarch[test]
->!> Upgrading svgalib-1.3.1-1 => svgalib-1.4.0-0.noarch[test]
->!> Upgrading sysklogd-1.3.26-3 => sysklogd-1.3.31-1.noarch[test]
->!> Upgrading tcsh-6.08.00-1 => tcsh-6.08.00-2.noarch[test]
->!> Upgrading util-linux-2.7.1-5 => util-linux-2.9s-4.noarch[test]
->!> Upgrading vixie-cron-3.0.1-18 => vixie-cron-3.0.1-19.noarch[test]
+>!> Upgrading DEV-3.3-0.noarch => DEV-3.4-1.noarch[test]
+>!> Upgrading LPRng-3.5.3-1.noarch => LPRng-3.5.3-2.noarch[test]
+>!> Upgrading LPRng-lpd-3.5.3-1.noarch => LPRng-lpd-3.5.3-2.noarch[test]
+>!> Upgrading SysVinit-2.76-0.noarch => SysVinit-2.76.3-2.noarch[test]
+>!> Upgrading SysVinit-scripts-1.04-0.noarch => SysVinit-scripts-1.05-5.noarch[test]
+>!> Upgrading autoconf-2.13-0.noarch => autoconf-2.13-1.noarch[test]
+>!> Upgrading bash-1.14.7-9.noarch => bash-1.14.7-10.noarch[test]
+>!> Upgrading binutils-2.9.1.0.19a-0.noarch => binutils-2.9.1.0.21-2.noarch[test]
+>!> Upgrading crontabs-1.10-2.noarch => crontabs-1.12-1.noarch[test]
+>!> Upgrading egcs-2.91.60-3.noarch => egcs-2.91.66-5.noarch[test]
+>!> Upgrading egcs-c++-2.91.60-3.noarch => egcs-c++-2.91.66-5.noarch[test]
+>!> Upgrading findutils-4.1-9.noarch => findutils-4.1-11.noarch[test]
+>!> Upgrading gdb-4.17-2.noarch => gdb-4.17.0.11-2.noarch[test]
+>!> Upgrading glibc-2.1-1.noarch => glibc-2.1.2-1.noarch[test]
+>!> Upgrading isapnptools-1.16-1.noarch => isapnptools-1.18-1.noarch[test]
+>!> Upgrading kbd-0.96-1.noarch => kbd-0.99-1.noarch[test]
+>!> Upgrading ld.so-1.9.9-2.noarch => ld.so-1.9.11-1.noarch[test]
+>!> Upgrading less-332-3.noarch => less-340-1.noarch[test]
+>!> Upgrading libgr-2.0.13-1.noarch => libgr-2.0.13-2.noarch[test]
+>!> Upgrading libpam-0.66-1.noarch => libpam-0.66-3.noarch[test]
+>!> Upgrading libpwdb-0.54-7.noarch => libpwdb-0.54-8.noarch[test]
+>!> Upgrading libz-1.0.2-1.noarch => libz-1.0.2-2.noarch[test]
+>!> Upgrading linux-kernel-binary-2.2.1-0a.noarch => linux-kernel-binary-2.2.13-1S.noarch[test]
+>!> Upgrading linux-kernel-include-2.2.1-0a.noarch => linux-kernel-include-2.2.13-1S.noarch[test]
+>!> Upgrading lisa-3.1-0.noarch => lisa-4.0-7.noarch[test]
+>!> Upgrading man-1.5f-1.noarch => man-1.5f-5.noarch[test]
+>!> Upgrading mtabase-1.0-5.noarch => mtabase-1.0-8.noarch[test]
+>!> Upgrading ncurses-4.2-1.noarch => ncurses-4.2-4.noarch[test]
+>!> Upgrading ncurses-devel-4.2-1.noarch => ncurses-devel-4.2-4.noarch[test]
+>!> Upgrading ncurses-devel-static-4.2-1.noarch => ncurses-devel-static-4.2-4.noarch[test]
+>!> Upgrading ncurses-termcap-devel-4.2-1.noarch => ncurses-termcap-devel-4.2-4.noarch[test]
+>!> Upgrading ncurses-termcap-devel-static-4.2-1.noarch => ncurses-termcap-devel-static-4.2-4.noarch[test]
+>!> Upgrading nis-client-2.0-0.noarch => nis-client-2.0-8.noarch[test]
+>!> Upgrading pciutils-1.99.4-1.noarch => pciutils-2.0-1.noarch[test]
+>!> Upgrading perl-5.005_02-0.noarch => perl-5.005_02-1.noarch[test]
+>!> Upgrading perl-add-5.005_02-0.noarch => perl-add-5.005_02-1.noarch[test]
+>!> Upgrading procmail-3.10-8.noarch => procmail-3.13.1-1.noarch[test]
+>!> Upgrading procps-1.2.9-2.noarch => procps-2.0.2-1.noarch[test]
+>!> Upgrading python-1.5.1-0a.noarch => python-1.5.1-1.noarch[test]
+>!> Upgrading python-devel-1.5.1-0a.noarch => python-devel-1.5.1-1.noarch[test]
+>!> Upgrading python-eclass-1.2-0.noarch => python-eclass-1.2-2.noarch[test]
+>!> Upgrading qt-1.4.2-1.noarch => qt-1.44-4.noarch[test]
+>!> Upgrading qt-devel-1.4.2-1.noarch => qt-devel-1.44-4.noarch[test]
+>!> Upgrading rpm-2.5.5-2.noarch => rpm-2.5.5-3.noarch[test]
+>!> Upgrading sendmail-8.8.7-7.noarch => sendmail-8.9.3-1.noarch[test]
+>!> Upgrading setup-2.0-0a.noarch => setup-2.0-6.noarch[test]
+>!> Upgrading sh-utils-1.16-3.noarch => sh-utils-1.16-7.noarch[test]
+>!> Upgrading slang-1.2.2-0.noarch => slang-1.3.7-1.noarch[test]
+>!> Upgrading strace-3.1-3.noarch => strace-4.0-2.noarch[test]
+>!> Upgrading svgalib-1.3.1-1.noarch => svgalib-1.4.0-0.noarch[test]
+>!> Upgrading sysklogd-1.3.26-3.noarch => sysklogd-1.3.31-1.noarch[test]
+>!> Upgrading tcsh-6.08.00-1.noarch => tcsh-6.08.00-2.noarch[test]
+>!> Upgrading util-linux-2.7.1-5.noarch => util-linux-2.9s-4.noarch[test]
+>!> Upgrading vixie-cron-3.0.1-18.noarch => vixie-cron-3.0.1-19.noarch[test]
 >!> Upgrading 54 packages
 >!> Solution #1:
 >!> install XFree86-libs-3.3.5-1.noarch[test]
 >!> install gdbm-1.8.0-3.noarch[test]
 >!> install libstdc++-2.9.0-5.noarch[test]
 >!> install modutils-2.1.121-10.noarch[test]
->!> upgrade DEV-3.3-0 => DEV-3.4-1.noarch[test]
->!> upgrade LPRng-3.5.3-1 => LPRng-3.5.3-2.noarch[test]
->!> upgrade LPRng-lpd-3.5.3-1 => LPRng-lpd-3.5.3-2.noarch[test]
->!> upgrade SysVinit-2.76-0 => SysVinit-2.76.3-2.noarch[test]
->!> upgrade SysVinit-scripts-1.04-0 => SysVinit-scripts-1.05-5.noarch[test]
->!> upgrade autoconf-2.13-0 => autoconf-2.13-1.noarch[test]
->!> upgrade bash-1.14.7-9 => bash-1.14.7-10.noarch[test]
->!> upgrade binutils-2.9.1.0.19a-0 => binutils-2.9.1.0.21-2.noarch[test]
->!> upgrade crontabs-1.10-2 => crontabs-1.12-1.noarch[test]
->!> upgrade egcs-2.91.60-3 => egcs-2.91.66-5.noarch[test]
->!> upgrade egcs-c++-2.91.60-3 => egcs-c++-2.91.66-5.noarch[test]
->!> upgrade findutils-4.1-9 => findutils-4.1-11.noarch[test]
->!> upgrade gdb-4.17-2 => gdb-4.17.0.11-2.noarch[test]
->!> upgrade glibc-2.1-1 => glibc-2.1.2-1.noarch[test]
->!> upgrade isapnptools-1.16-1 => isapnptools-1.18-1.noarch[test]
->!> upgrade kbd-0.96-1 => kbd-0.99-1.noarch[test]
->!> upgrade ld.so-1.9.9-2 => ld.so-1.9.11-1.noarch[test]
->!> upgrade less-332-3 => less-340-1.noarch[test]
->!> upgrade libgr-2.0.13-1 => libgr-2.0.13-2.noarch[test]
->!> upgrade libpam-0.66-1 => libpam-0.66-3.noarch[test]
->!> upgrade libpwdb-0.54-7 => libpwdb-0.54-8.noarch[test]
->!> upgrade libz-1.0.2-1 => libz-1.0.2-2.noarch[test]
->!> upgrade linux-kernel-binary-2.2.1-0a => linux-kernel-binary-2.2.13-1S.noarch[test]
->!> upgrade linux-kernel-include-2.2.1-0a => linux-kernel-include-2.2.13-1S.noarch[test]
->!> upgrade lisa-3.1-0 => lisa-4.0-7.noarch[test]
->!> upgrade man-1.5f-1 => man-1.5f-5.noarch[test]
->!> upgrade mtabase-1.0-5 => mtabase-1.0-8.noarch[test]
->!> upgrade ncurses-4.2-1 => ncurses-4.2-4.noarch[test]
->!> upgrade ncurses-devel-4.2-1 => ncurses-devel-4.2-4.noarch[test]
->!> upgrade ncurses-devel-static-4.2-1 => ncurses-devel-static-4.2-4.noarch[test]
->!> upgrade ncurses-termcap-devel-4.2-1 => ncurses-termcap-devel-4.2-4.noarch[test]
->!> upgrade ncurses-termcap-devel-static-4.2-1 => ncurses-termcap-devel-static-4.2-4.noarch[test]
->!> upgrade nis-client-2.0-0 => nis-client-2.0-8.noarch[test]
->!> upgrade pciutils-1.99.4-1 => pciutils-2.0-1.noarch[test]
->!> upgrade perl-5.005_02-0 => perl-5.005_02-1.noarch[test]
->!> upgrade perl-add-5.005_02-0 => perl-add-5.005_02-1.noarch[test]
->!> upgrade procmail-3.10-8 => procmail-3.13.1-1.noarch[test]
->!> upgrade procps-1.2.9-2 => procps-2.0.2-1.noarch[test]
->!> upgrade python-1.5.1-0a => python-1.5.1-1.noarch[test]
->!> upgrade python-devel-1.5.1-0a => python-devel-1.5.1-1.noarch[test]
->!> upgrade python-eclass-1.2-0 => python-eclass-1.2-2.noarch[test]
->!> upgrade qt-1.4.2-1 => qt-1.44-4.noarch[test]
->!> upgrade qt-devel-1.4.2-1 => qt-devel-1.44-4.noarch[test]
->!> upgrade rpm-2.5.5-2 => rpm-2.5.5-3.noarch[test]
->!> upgrade sendmail-8.8.7-7 => sendmail-8.9.3-1.noarch[test]
->!> upgrade setup-2.0-0a => setup-2.0-6.noarch[test]
->!> upgrade sh-utils-1.16-3 => sh-utils-1.16-7.noarch[test]
->!> upgrade slang-1.2.2-0 => slang-1.3.7-1.noarch[test]
->!> upgrade strace-3.1-3 => strace-4.0-2.noarch[test]
->!> upgrade svgalib-1.3.1-1 => svgalib-1.4.0-0.noarch[test]
->!> upgrade sysklogd-1.3.26-3 => sysklogd-1.3.31-1.noarch[test]
->!> upgrade tcsh-6.08.00-1 => tcsh-6.08.00-2.noarch[test]
->!> upgrade util-linux-2.7.1-5 => util-linux-2.9s-4.noarch[test]
->!> upgrade vixie-cron-3.0.1-18 => vixie-cron-3.0.1-19.noarch[test]
+>!> upgrade DEV-3.3-0.noarch => DEV-3.4-1.noarch[test]
+>!> upgrade LPRng-3.5.3-1.noarch => LPRng-3.5.3-2.noarch[test]
+>!> upgrade LPRng-lpd-3.5.3-1.noarch => LPRng-lpd-3.5.3-2.noarch[test]
+>!> upgrade SysVinit-2.76-0.noarch => SysVinit-2.76.3-2.noarch[test]
+>!> upgrade SysVinit-scripts-1.04-0.noarch => SysVinit-scripts-1.05-5.noarch[test]
+>!> upgrade autoconf-2.13-0.noarch => autoconf-2.13-1.noarch[test]
+>!> upgrade bash-1.14.7-9.noarch => bash-1.14.7-10.noarch[test]
+>!> upgrade binutils-2.9.1.0.19a-0.noarch => binutils-2.9.1.0.21-2.noarch[test]
+>!> upgrade crontabs-1.10-2.noarch => crontabs-1.12-1.noarch[test]
+>!> upgrade egcs-2.91.60-3.noarch => egcs-2.91.66-5.noarch[test]
+>!> upgrade egcs-c++-2.91.60-3.noarch => egcs-c++-2.91.66-5.noarch[test]
+>!> upgrade findutils-4.1-9.noarch => findutils-4.1-11.noarch[test]
+>!> upgrade gdb-4.17-2.noarch => gdb-4.17.0.11-2.noarch[test]
+>!> upgrade glibc-2.1-1.noarch => glibc-2.1.2-1.noarch[test]
+>!> upgrade isapnptools-1.16-1.noarch => isapnptools-1.18-1.noarch[test]
+>!> upgrade kbd-0.96-1.noarch => kbd-0.99-1.noarch[test]
+>!> upgrade ld.so-1.9.9-2.noarch => ld.so-1.9.11-1.noarch[test]
+>!> upgrade less-332-3.noarch => less-340-1.noarch[test]
+>!> upgrade libgr-2.0.13-1.noarch => libgr-2.0.13-2.noarch[test]
+>!> upgrade libpam-0.66-1.noarch => libpam-0.66-3.noarch[test]
+>!> upgrade libpwdb-0.54-7.noarch => libpwdb-0.54-8.noarch[test]
+>!> upgrade libz-1.0.2-1.noarch => libz-1.0.2-2.noarch[test]
+>!> upgrade linux-kernel-binary-2.2.1-0a.noarch => linux-kernel-binary-2.2.13-1S.noarch[test]
+>!> upgrade linux-kernel-include-2.2.1-0a.noarch => linux-kernel-include-2.2.13-1S.noarch[test]
+>!> upgrade lisa-3.1-0.noarch => lisa-4.0-7.noarch[test]
+>!> upgrade man-1.5f-1.noarch => man-1.5f-5.noarch[test]
+>!> upgrade mtabase-1.0-5.noarch => mtabase-1.0-8.noarch[test]
+>!> upgrade ncurses-4.2-1.noarch => ncurses-4.2-4.noarch[test]
+>!> upgrade ncurses-devel-4.2-1.noarch => ncurses-devel-4.2-4.noarch[test]
+>!> upgrade ncurses-devel-static-4.2-1.noarch => ncurses-devel-static-4.2-4.noarch[test]
+>!> upgrade ncurses-termcap-devel-4.2-1.noarch => ncurses-termcap-devel-4.2-4.noarch[test]
+>!> upgrade ncurses-termcap-devel-static-4.2-1.noarch => ncurses-termcap-devel-static-4.2-4.noarch[test]
+>!> upgrade nis-client-2.0-0.noarch => nis-client-2.0-8.noarch[test]
+>!> upgrade pciutils-1.99.4-1.noarch => pciutils-2.0-1.noarch[test]
+>!> upgrade perl-5.005_02-0.noarch => perl-5.005_02-1.noarch[test]
+>!> upgrade perl-add-5.005_02-0.noarch => perl-add-5.005_02-1.noarch[test]
+>!> upgrade procmail-3.10-8.noarch => procmail-3.13.1-1.noarch[test]
+>!> upgrade procps-1.2.9-2.noarch => procps-2.0.2-1.noarch[test]
+>!> upgrade python-1.5.1-0a.noarch => python-1.5.1-1.noarch[test]
+>!> upgrade python-devel-1.5.1-0a.noarch => python-devel-1.5.1-1.noarch[test]
+>!> upgrade python-eclass-1.2-0.noarch => python-eclass-1.2-2.noarch[test]
+>!> upgrade qt-1.4.2-1.noarch => qt-1.44-4.noarch[test]
+>!> upgrade qt-devel-1.4.2-1.noarch => qt-devel-1.44-4.noarch[test]
+>!> upgrade rpm-2.5.5-2.noarch => rpm-2.5.5-3.noarch[test]
+>!> upgrade sendmail-8.8.7-7.noarch => sendmail-8.9.3-1.noarch[test]
+>!> upgrade setup-2.0-0a.noarch => setup-2.0-6.noarch[test]
+>!> upgrade sh-utils-1.16-3.noarch => sh-utils-1.16-7.noarch[test]
+>!> upgrade slang-1.2.2-0.noarch => slang-1.3.7-1.noarch[test]
+>!> upgrade strace-3.1-3.noarch => strace-4.0-2.noarch[test]
+>!> upgrade svgalib-1.3.1-1.noarch => svgalib-1.4.0-0.noarch[test]
+>!> upgrade sysklogd-1.3.26-3.noarch => sysklogd-1.3.31-1.noarch[test]
+>!> upgrade tcsh-6.08.00-1.noarch => tcsh-6.08.00-2.noarch[test]
+>!> upgrade util-linux-2.7.1-5.noarch => util-linux-2.9s-4.noarch[test]
+>!> upgrade vixie-cron-3.0.1-18.noarch => vixie-cron-3.0.1-19.noarch[test]
 >!> installs=4, upgrades=54, uninstalls=0

Modified: trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-alternatives-3-force-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-alternatives-3-force-test.solution?rev=7510&r1=7509&r2=7510&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-alternatives-3-force-test.solution (original)
+++ trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-alternatives-3-force-test.solution Fri Oct 12 20:54:06 2007
@@ -3,23 +3,5 @@
 >!> install WindowMaker-1.0-1.noarch[test]
 >!> install alt-conflict-1.0-1.noarch[test]
 >!> install sendmail-1.0-1.noarch[test]
->!> remove  foo-1.0-1
->!> installs=3, upgrades=0, uninstalls=1
->!> Solution #2:
->!> install alt-conflict-1.0-1.noarch[test]
->!> install icewm-1.0-1.noarch[test]
->!> install sendmail-1.0-1.noarch[test]
->!> remove  foo-1.0-1
->!> installs=3, upgrades=0, uninstalls=1
->!> Solution #3:
->!> install WindowMaker-1.0-1.noarch[test]
->!> install alt-conflict-1.0-1.noarch[test]
->!> install postfix-1.0-1.noarch[test]
->!> remove  foo-1.0-1
->!> installs=3, upgrades=0, uninstalls=1
->!> Solution #4:
->!> install alt-conflict-1.0-1.noarch[test]
->!> install icewm-1.0-1.noarch[test]
->!> install postfix-1.0-1.noarch[test]
->!> remove  foo-1.0-1
+>!> remove  foo-1.0-1.noarch
 >!> installs=3, upgrades=0, uninstalls=1

Modified: trunk/sat-solver/testsuite/data.libzypp/yast-tests/tpctl-multi-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/yast-tests/tpctl-multi-test.solution?rev=7510&r1=7509&r2=7510&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/yast-tests/tpctl-multi-test.solution (original)
+++ trunk/sat-solver/testsuite/data.libzypp/yast-tests/tpctl-multi-test.solution Fri Oct 12 20:54:06 2007
@@ -64,6 +64,3 @@
 >!> install language:de-.noarch
 >!> install language:de_DE-.noarch
 >!> installs=58, upgrades=0, uninstalls=0
->!> Solution #2:
->!> This solution is a duplicate.
->!> installs=58, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/diffres
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/diffres?rev=7510&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/diffres (added)
+++ trunk/sat-solver/testsuite/diffres Fri Oct 12 20:54:06 2007
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+file1=`mktemp /tmp/diffXXXXXX`
+file2=`mktemp /tmp/diffXXXXXX`
+
+pwd=`readlink -f $PWD`
+
+sfile=`readlink -f $1 | sed -e "s,$pwd/,,"`
+rfile=`readlink -f $2 | sed -e "s,$pwd/,,"`
+
+grep -e "^>\!> \(upgrade\|install\|remove\)" $1 | sed -e "s,installs,zzinstalls", | sort > $file1
+grep -e "^>\!> \(upgrade\|install\|remove\)" $2 | sed -e "s,installs,zzinstalls", | sort > $file2
+diff -U 0 $file1 $file2 | sed -e "s,$file1,$sfile,; s,$file2,$rfile,; s,zzinst,inst," | grep -v @@
+rm -f $file1 $file2
+

Modified: trunk/sat-solver/testsuite/runtest.rb
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/runtest.rb?rev=7510&r1=7509&r2=7510&view=diff
==============================================================================
--- trunk/sat-solver/testsuite/runtest.rb (original)
+++ trunk/sat-solver/testsuite/runtest.rb Fri Oct 12 20:54:06 2007
@@ -106,11 +106,13 @@
     solutions.each { |s|
       return true if s == r
     }
-#    STDERR.puts "#{rname} failed"
-#    STDERR.puts "Solution:"
-#    pp solutions.first
-#    STDERR.puts "Result:"
-#    pp r
+    
+    #STDERR.puts "#{rname} failed"
+    system( "./diffres #{sname} #{rname}")
+    #STDERR.puts "Solution:"
+    #pp solutions.first
+    #STDERR.puts "Result:"
+    #pp r
     return false
   end
 
@@ -126,8 +128,8 @@
     $tests.each { |test|
 #      puts "Testing #{test}"
       basename = File.basename(test, ".xml")
-      print "."
-      STDOUT.flush
+      #print "."
+      #STDOUT.flush
       dir = File.dirname(test)
       args = ""
       args = "--redcarpet" if $redcarpet
@@ -213,4 +215,4 @@
 ARGV.each { |arg|
   wd = Dir.getwd unless arg[0,1] == "/"
   r.run wd, arg, recurse
-}
\ No newline at end of file
+}

--
To unsubscribe, e-mail: zypp-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: zypp-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages